NAL OS system requirement cannot distinguish between XPsp1 and XPsp2

  • 10095434
  • NOVL99778
  • 11-Nov-2004
  • 15-Feb-2005

Archived Content: This information is no longer maintained and is provided 'as is' for your convenience.

Fact

Novell ZENworks 6.5 Desktop Management - ZfD6.5

Novell ZENworks for Desktops 4.0.1 - ZfD4.0.1

Novell Application Launcher (NAL)

Microsoft Windows XP Professional SP1

Microsoft Windows XP Professional SP2

Symptom

NAL OS system requirement cannot distinguish between XPsp1 and XPsp2

Change

The XP version when Service Pack 1 is applied is 5.1.2600.1106.  The XP version when Service Pack 2 is applied is 5.1.2600.2180.  When defining the system requirement (4x) or distribution rule (6.5x), the version is truncated to 5.1.2600 after adding the requirement, closing the app object, and re-opening the app object.

Fix

Fixed in Service Pack 1 for ZENworks 6.5 Desktop Management

Workaround - If you need to deploy apps according to XP support pack revision, then you should use another distinguishing characteristic (regkey or file) to distinguish between XPsp1 and XPsp2.  For example, HKLM\Software\Microsoft\Security Center.